TermStructureConsistentModel Class Reference
Short-rate modelling framework

Term-structure consistent model class. More...

`#include <ql/models/model.hpp>`

Inheritance diagram for TermStructureConsistentModel:
[legend]

## Public Member Functions

| TermStructureConsistentModel (const Handle< YieldTermStructure > &termStructure)
const Handle< YieldTermStructure > & | termStructure () const
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()

## Detailed Description

Term-structure consistent model class.

This is a base class for models that can reprice exactly any discount bond.